#
# spec file for package fuse-sfs
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define pkg_version 34
Name:           fuse-sfs
Version:        0.34
Release:        3.4
Summary:        SwitchFS is a lightweight replacement for UnionFS, RAID and LVM
License:        GPL-2.0+
Group:          System/Filesystems
Url:            http://code.google.com/p/sfs
Source:         http://sfs.googlecode.com/files/sfs-%{pkg_version}.tar.bz2
Patch1:         gcc-no-Werror.diff
Patch2:         sfs-inclue-stddef.diff
Patch3:         sfs-link-pthread.diff
BuildRequires:  cmake
BuildRequires:  fuse-devel
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  glibc-devel
BuildRequires:  libstdc++-devel
BuildRequires:  make
BuildRequires:  pkgconfig
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
SwitchFS (or SFS) is a lightweight file system layer designed to combine file
systems located on multiple drives and/or multiple servers into a single
logical file repository. SFS is built on top of FUSE (the "filesystem in
userspace" layer).

%prep
%setup -q -n sfs
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%cmake ../src
make %{?_smp_mflags} VERBOSE=1

%install
%cmake_install

%files
%defattr(-,root,root)
%doc switchfs.conf.example
%doc README LICENSE
%{_bindir}/sfs

%changelog
* Wed Aug 20 2014 dsterba@suse.cz
- fix build failure
- clean spec
- Added patches:
  * gcc-no-Werror.diff
  * sfs-inclue-stddef.diff
  * sfs-link-pthread.diff
* Fri May 25 2012 jengelh@inai.de
- Remove redundant tags/sections from specfile
- Parallel build with %%_smp_mflags
* Sun Mar 14 2010 pascal.bleser@opensuse.org
- initial package (0.34)
